---
title: Create / Update StandartizedWork
slug: create-update-standartizedwork
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "q2B3PfpyivRXNa47M-1gG",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev1.frontu.com//client/api/v2/standartized_works",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/standartized_works"
      }
    ],
    "name": "Create / Update StandartizedWork",
    "description": "<p>Allows to create or update standartized work object values.</p>\n<p>If you want to update Standartized Work using POST method you need to fill information for guid field or systemId field in request body.</p>\n<p>Example how to use custom values:</p>\n<p>You need to specify it for example like this:</p>\n<p>first value is guid of the custom field (for this case you can select all custom fields in this endpoint - <a href=\"https://tasker.stoplight.io/docs/tasker-api-v2/tasker_swagger.json/paths/~1client~1api~1v2~1customfields~1standartizedworks/get\" target=\"_blank\">https://tasker.stoplight.io/docs/tasker-api-v2/tasker_swagger.json/paths/~1client~1api~1v2~1customfields~1standartizedworks/get</a> ), and second is value of the custom field.\n\"customValues\":\n{\n\"f889fbe9-9d9b-3c8a-8549-e321ee7e3e34\": \"Custom Value\",\n\"f889fbe9-9d9b-3c8a-8549-e321ee7e3e35\": \"Custom Value 2\",\n\"f889fbe9-9d9b-3c8a-8549-e321ee7e3e38\": \"2\"\n}</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "title",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "rate",
              "kind": "required",
              "type": "integer<int32>",
              "description": "",
              "format": "int32"
            },
            {
              "name": "nightRate",
              "kind": "required",
              "type": "integer<int32>",
              "description": "",
              "format": "int32"
            },
            {
              "name": "systemId",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from external system"
            },
            {
              "name": "guid",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from Frontu"
            },
            {
              "name": "deleted",
              "kind": "optional",
              "type": "boolean",
              "description": "<p>Mark if entity is archived (1) or active (0)</p>"
            },
            {
              "name": "workType",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "<p>1 - hours, 2 - units. Defaults to 1 (hours) when omitted on create.</p>",
              "format": "int32"
            },
            {
              "name": "customValues",
              "kind": "optional",
              "type": "string",
              "description": "<p>JSON object for custom field data (for example \"guid\": \"value\")</p>"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "Data contains errors",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "loPYCwyXgFtN8BMHFnPAn",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev1.frontu.com//client/api/v2/standartized_works \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"title\": \"\",\n     \"rate\": \"\",\n     \"nightRate\": \"\"\n     }'"
        },
        {
          "id": "IqpN1Oop0A4Poyes6UPew",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"title\": \"\",\n   \"rate\": \"\",\n   \"nightRate\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/standartized_works\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "Slo-w5no7qOfcNdPxKVhI",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/standartized_works\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"title\": \"\",\n   \"rate\": \"\",\n   \"nightRate\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "hJpWuAiT5o1_0l9Y75l3Q",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/standartized_works\"\n\npayload = json.dumps({\n   \"title\": \"\",\n   \"rate\": \"\",\n   \"nightRate\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "loPYCwyXgFtN8BMHFnPAn"
    },
    "results": {
      "languages": [
        {
          "id": "_zOmLWfseOGHh_ShppRBd",
          "language": "201",
          "code": "// Returned when successful\n"
        },
        {
          "id": "bcFWPKUnWd6KQPT4yffBO",
          "language": "400",
          "code": "// Data contains errors\n"
        }
      ],
      "selectedLanguageId": "_zOmLWfseOGHh_ShppRBd"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}